diff cpack/dml/scripts/compression/decode @ 0:718306e29690 tip

commiting public release
author Daniel Wolff
date Tue, 09 Feb 2016 21:05:06 +0100
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/cpack/dml/scripts/compression/decode	Tue Feb 09 21:05:06 2016 +0100
@@ -0,0 +1,14 @@
+#!/bin/sh
+if [ $# -lt 2 ]; then
+	echo 'Usage: decode <method> <reference> ...'
+	echo
+	echo 'Do differential decompression using the script <method>.'
+	echo 'The reference/source/dictionary may be a file or a process redirection.'
+	exit 1
+fi
+set -o nounset
+here="$(dirname "$0")"
+diff="$1"
+ref="$2"
+shift 2
+"$here/bufs" 2 "$here/$diff" decode "$ref" "$@"